{ Common
 (C) 2005-2012, Andreas Berg. All Rights Reserved. }
unit _common;

interface

type
 TAsmValue         = Int64;
 TDefValue         = Int64;

const
 isUNIX            = true; { Set to 'false' if you're compiling for Windows }
 dirSep            = '/';

 appName           = 'BLASM';
 appVerMajor       = 0;
 appVerMinor       = 0;
 appVerRelease     = 1;
 appBuild          = 1;
 appDate           = '2012-07-16';

 parseName         = '@PARSENAME@';
 arrayName         = '@ITEMNAME@';

 Neg               = -1;
 NotFound          = Neg;

 ValueBytes        = 7;

 TrueVal           = 1;
 FalseVal          = 0;

 Neg48             = -140737488355328;
 Neg32             = -2147483648;
 Neg16             = -32768;
 Neg8              = -128;

 oprNONE           = 0;
 oprADD            = 1;
 oprSUB            = 2;
 oprMUL            = 3;
 oprDIV            = 4;
 oprMOD            = 5;
 oprPWR            = 6;
 oprSHL            = 7;
 oprSHR            = 8;

 oprEQ             = 1;
 oprNE             = 2;
 oprLT             = 3;
 oprGT             = 4;
 oprLE             = 5;
 oprGE             = 6;

 tNONE             = 0;
 tAUTO             = 0;
 tBYTE             = 1;
 tWORD             = 2;
 tDWORD            = 3;
 tQWORD            = 4;
 tFARPTR           = 5;
 tTENBYTE          = 6;

implementation

end.
